package net.ranides.test.adapter.model3;

import net.ranides.assira.annotations.Meta;

@Meta.Adapter
public interface Screen3 {

    int width();

    int height();

    Image3 put(String id, int x, int y);

    Image3 put(Image3 image);

    void add(String id, int x, int y);

    void add(Image3 image);

    String findId(int x, int y);

    Image3 findImage(int x, int y);

    boolean contains(Image3 image);

    boolean isWide();

}
